#pragma once
#include "Mod.h"

class MCF : public Mod {
public:
	MCF() : Mod(_("MCF"), _("Mid click to add/remove friend."), Category::OTHER) {
		enabled = false;
	}

private:
	bool add = false;

	virtual auto onMouse(char button, char action, bool* cancel) -> void;
	virtual auto onWorldTick(Player* _this) -> void;
};
